Sync upstream
curl --request POST \
--url https://api.mesa.dev/v1/{org}/{repo}/upstream/syncs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ref_globs": {
"branches": "<string>",
"tags": "<string>"
}
}
'import requests
url = "https://api.mesa.dev/v1/{org}/{repo}/upstream/syncs"
payload = { "ref_globs": {
"branches": "<string>",
"tags": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ref_globs: {branches: '<string>', tags: '<string>'}})
};
fetch('https://api.mesa.dev/v1/{org}/{repo}/upstream/syncs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"repo_id": "<string>",
"attempt": 123,
"ref_globs": {
"branches": "<string>",
"tags": "<string>"
},
"stats": {
"refs": [
{
"name": "<string>",
"before": "<string>",
"after": "<string>"
}
]
},
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"trace_id": "<string>"
}
}Repo
Sync upstream
Enqueue a sync for the repository upstream. Returns the sync, which the worker processes asynchronously. Read repo.upstream.latest_sync, fetch GET /:repo/upstream/syncs/:syncId, or list GET /:repo/upstream/syncs for status.
POST
/
{org}
/
{repo}
/
upstream
/
syncs
Sync upstream
Required scope:
writeAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Organization slug
Minimum string length:
1Repository name
Minimum string length:
1Body
application/json
Response
Sync enqueued
Available options:
pull, push Available options:
queued, in_progress, completed, failed Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

